Unresolved Ruby reference warnings after upgrading to RubyMine 6.3.3 ?

I recently upgraded RubyMine from 6.3.2 to 6.3.3 and after restarting, I am getting boat-loads of 'Unresolved Ruby reference' warnings. It is as if some of my 'requires' are being ignored, in terms of the IDE  knowledge of the namespaces and classes, etc. that I was recently using with no issues.The same files run without any issues from the command line, so I am fairly certain that this is restricted to the RubyMine IDE.I have deleted my '.idea' folders and tried to start new projects from scratch, but no relief.Any other suggestions? Anyone else hitting this?Thanks,-- David


I'd try to invalidate cachs (File|Invalideate Caches)

Hope this helps, Oleg.

Yes, that took care of it! Thanks!

Please sign in to leave a comment.